Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(355)

Issue 4553056: New alist to replace special characters. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
7 years, 12 months ago by Bertrand Bordage
Modified:
7 years, 7 months ago
CC:
lilypond-devel_gnu.org
Visibility:
Public.

Description

New alist to replace special characters.

Patch Set 1 #

Total comments: 17

Patch Set 2 : 'replacement-string-max-length' removed, alist's use and definition changed. #

Patch Set 3 : Trailing whitespace removed. #

Total comments: 3

Patch Set 4 : HTML syntax assumed and new regtest #

Total comments: 9

Patch Set 5 : Special characters dropped #

Patch Set 6 : Small improvements in Scheme functions. #

Patch Set 7 : Fix add-text-replacements stacking and add a \replace markup command. #

Patch Set 8 : Adds a list of special characters that can easily be included. #

Patch Set 9 : Update C files following fixcc.py run. #

Patch Set 10 : Fix lyric bug and restore the escape character '&'. #

Patch Set 11 : Update regtest. #

Patch Set 12 : Documentation work. #

Total comments: 9

Patch Set 13 : Applying Trevor and Graham changes. #

Total comments: 36

Patch Set 14 : Applies Neil's changes. #

Patch Set 15 : New line at end of file. #

Patch Set 16 : Partially reverting one of Neil's changes. #

Unified diffs Side-by-side diffs Delta from patch set Stats (+394 lines, -41 lines) Patch
M Documentation/changes.tely View 1 2 3 4 5 6 7 8 9 10 11 1 chunk +9 lines, -0 lines 0 comments Download
A Documentation/included/special-characters.ly View 1 2 3 4 5 6 7 8 9 10 11 12 13 1 chunk +18 lines, -0 lines 0 comments Download
M Documentation/notation/input.itely View 1 2 3 4 5 6 7 8 9 10 11 12 13 4 chunks +73 lines, -4 lines 0 comments Download
M Documentation/notation/notation-appendices.itely View 1 2 3 4 5 6 7 8 9 10 11 12 13 3 chunks +20 lines, -1 line 0 comments Download
M Documentation/notation/vocal.itely View 1 2 3 4 5 6 7 8 9 10 11 2 chunks +2 lines, -2 lines 0 comments Download
A input/regression/markup-special-characters.ly View 1 2 3 4 5 6 7 8 9 10 11 12 13 1 chunk +30 lines, -0 lines 0 comments Download
M lily/lexer.ll View 1 2 3 4 5 6 7 8 9 10 1 chunk +2 lines, -1 line 0 comments Download
M lily/text-interface.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 4 chunks +29 lines, -18 lines 0 comments Download
M ly/paper-defaults-init.ly View 1 2 3 4 5 6 7 8 9 1 chunk +3 lines, -0 lines 0 comments Download
A ly/text-replacements.ly View 1 2 3 4 5 6 7 8 9 10 11 12 13 1 chunk +133 lines, -0 lines 0 comments Download
M scm/define-grob-properties.scm View 1 2 3 4 5 6 7 8 9 10 11 12 13 1 chunk +3 lines, -0 lines 0 comments Download
M scm/define-markup-commands.scm View 1 2 3 4 5 6 7 8 9 10 11 12 13 3 chunks +42 lines, -15 lines 0 comments Download
M scm/lily.scm View 1 2 3 4 5 6 7 8 9 10 11 12 13 1 chunk +1 line, -0 lines 0 comments Download
A scm/text.scm View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 1 chunk +29 lines, -0 lines 0 comments Download

Messages

Total messages: 51
Bertrand Bordage
A feature that helps text typesetting. Bertrand
7 years, 12 months ago (2011-05-23 10:28:34 UTC) #1
Bertrand Bordage
This prints every character with its shorthand, but works bad because of '\t', '\v' and ...
7 years, 12 months ago (2011-05-23 10:38:44 UTC) #2
mike_apollinemike.com
On May 23, 2011, at 12:38 PM, bordage.bertrand@gmail.com wrote: > This prints every character with ...
7 years, 12 months ago (2011-05-23 10:57:01 UTC) #3
Bertrand Bordage
(1) You can do it using \override #'(replacement-string-max-length . 0) But I agree, there's a ...
7 years, 12 months ago (2011-05-23 11:08:48 UTC) #4
mike_apollinemike.com
On May 23, 2011, at 1:08 PM, bordage.bertrand@gmail.com wrote: > (1) You can do it ...
7 years, 12 months ago (2011-05-23 11:14:04 UTC) #5
Reinhold
http://codereview.appspot.com/4553056/diff/1/ly/special-characters.ly File ly/special-characters.ly (right): http://codereview.appspot.com/4553056/diff/1/ly/special-characters.ly#newcode1 ly/special-characters.ly:1: #(define special-characters-alist Is there any (public) command to add ...
7 years, 12 months ago (2011-05-23 11:49:04 UTC) #6
Carl
http://codereview.appspot.com/4553056/diff/1/lily/text-interface.cc File lily/text-interface.cc (right): http://codereview.appspot.com/4553056/diff/1/lily/text-interface.cc#newcode40 lily/text-interface.cc:40: int max_length = scm_to_int (ly_chain_assoc_get (ly_symbol2scm ("replacement-string-max-length"), Why is ...
7 years, 12 months ago (2011-05-23 14:01:57 UTC) #7
Bertrand Bordage
Response to Reinhold and Carl's concerns. http://codereview.appspot.com/4553056/diff/1/lily/text-interface.cc File lily/text-interface.cc (right): http://codereview.appspot.com/4553056/diff/1/lily/text-interface.cc#newcode40 lily/text-interface.cc:40: int max_length = ...
7 years, 12 months ago (2011-05-23 21:32:26 UTC) #8
c_sorensen
On 5/23/11 3:32 PM, "bordage.bertrand@gmail.com" <bordage.bertrand@gmail.com> wrote: > http://codereview.appspot.com/4553056/diff/1/lily/text-interface.cc#newcode40 > lily/text-interface.cc:40: int max_length = scm_to_int ...
7 years, 12 months ago (2011-05-23 21:54:53 UTC) #9
Bertrand Bordage
Yes. Knowing this, I suggest we keep whitespaces, punctuation, quotes and word dividers (with some ...
7 years, 12 months ago (2011-05-23 22:15:38 UTC) #10
Carl
On 2011/05/23 22:15:38, Bertrand Bordage wrote: > Yes. > Knowing this, I suggest we keep ...
7 years, 12 months ago (2011-05-23 22:34:53 UTC) #11
Bertrand Bordage
...definitely not user-friendly! I totally agree it's better to type in UTF and that's what ...
7 years, 12 months ago (2011-05-23 23:11:33 UTC) #12
Carl
On 2011/05/23 23:11:33, Bertrand Bordage wrote: > Making this easier should be the OS's job. ...
7 years, 12 months ago (2011-05-23 23:28:02 UTC) #13
Bertrand Bordage
New patch set with Carl's ideas. I don't know if replacement-alist should be defined by ...
7 years, 11 months ago (2011-06-03 11:11:57 UTC) #14
Keith
Philosophically, utf-8 is the One True Way, but I am sympathetic to laxy typists. On ...
7 years, 11 months ago (2011-06-03 18:42:23 UTC) #15
Keith
http://codereview.appspot.com/4553056/diff/5002/scm/output-lib.scm File scm/output-lib.scm (right): http://codereview.appspot.com/4553056/diff/5002/scm/output-lib.scm#newcode959 scm/output-lib.scm:959: ("..." . "…") ("&hellip;" . "…") ("&emdash;" . "–") ...
7 years, 11 months ago (2011-06-03 18:47:24 UTC) #16
Bertrand Bordage
Ok, I'll change these. What about '№' ? '&numero;', 'N°' or '&N°;' ?
7 years, 11 months ago (2011-06-05 11:54:31 UTC) #17
Bertrand Bordage
Done ! Regression tests are ok.
7 years, 11 months ago (2011-06-06 12:13:48 UTC) #18
Carl
Patch LGTM. I still have concerns about maintaining a list of ascii definitions for UTF-8 ...
7 years, 11 months ago (2011-06-07 03:34:43 UTC) #19
Bertrand Bordage
http://codereview.appspot.com/4553056/diff/9003/input/regression/markup-special-characters.ly File input/regression/markup-special-characters.ly (right): http://codereview.appspot.com/4553056/diff/9003/input/regression/markup-special-characters.ly#newcode7 input/regression/markup-special-characters.ly:7: #(define-markup-list-command (show-special-characters layout props) () It was a way ...
7 years, 11 months ago (2011-06-07 09:45:12 UTC) #20
MikeSol
http://codereview.appspot.com/4553056/diff/9003/scm/output-lib.scm File scm/output-lib.scm (right): http://codereview.appspot.com/4553056/diff/9003/scm/output-lib.scm#newcode958 scm/output-lib.scm:958: ; Punctuation On 2011/06/07 09:45:12, Bertrand Bordage wrote: > ...
7 years, 11 months ago (2011-06-07 09:53:26 UTC) #21
nicolas.sceaux
A replacement function for text is a very good idea, and would be very useful. ...
7 years, 11 months ago (2011-06-07 20:19:56 UTC) #22
nicolas.sceaux
http://codereview.appspot.com/4553056/diff/9003/lily/text-interface.cc File lily/text-interface.cc (right): http://codereview.appspot.com/4553056/diff/9003/lily/text-interface.cc#newcode62 lily/text-interface.cc:62: str->replace (i, j, ligature); On 2011/06/07 20:19:56, nicolas.sceaux wrote: ...
7 years, 11 months ago (2011-06-07 20:49:47 UTC) #23
Bertrand Bordage
Patch updated. I abandonned the idea of including a special characters list.
7 years, 10 months ago (2011-07-19 18:33:20 UTC) #24
Carl
LGTM. You could add a .ly file that defined a more comprehensive set of special ...
7 years, 10 months ago (2011-07-19 19:19:03 UTC) #25
Bertrand Bordage
A new file in ly with definitions using "add-text-replacements!"? Like this? germanHTML = #(add-text-replacements! '(("&ss;" ...
7 years, 10 months ago (2011-07-19 20:22:49 UTC) #26
pkx166h
passes make and reg tests
7 years, 10 months ago (2011-07-19 20:50:26 UTC) #27
Bertrand Bordage
I updated the patch. There's now a list of special characters and a \replace command ...
7 years, 9 months ago (2011-07-31 17:41:21 UTC) #28
pkx166h
passes make and reg tests
7 years, 9 months ago (2011-07-31 19:11:52 UTC) #29
c_sorensen
On 7/31/11 11:41 AM, "bordage.bertrand@gmail.com" <bordage.bertrand@gmail.com> wrote: > I updated the patch. > > There's ...
7 years, 9 months ago (2011-07-31 22:37:42 UTC) #30
Bertrand Bordage
Ouch... The problem with '&' is that it fails on lyrics: this works: \new Lyrics ...
7 years, 9 months ago (2011-07-31 23:09:51 UTC) #31
Bertrand Bordage
lily/text-interface.cc updated.
7 years, 9 months ago (2011-08-04 13:06:59 UTC) #32
Bertrand Bordage
New patch set. '&' and '@' have been added to the lexer. '&' is therefore ...
7 years, 8 months ago (2011-09-15 22:14:50 UTC) #33
pkx166h
Hello, passes make but fails make check please see http://code.google.com/p/lilypond/issues/detail?id=1891#c1 James
7 years, 8 months ago (2011-09-16 21:31:25 UTC) #34
pkx166h
On 2011/09/16 21:31:25, J_lowe wrote: > Hello, passes make but fails make check > Sorry ...
7 years, 8 months ago (2011-09-16 21:34:37 UTC) #35
pkx166h
passes make and reg tests
7 years, 8 months ago (2011-09-16 21:48:28 UTC) #36
MikeSol
Hey Bertrand, Could you show an example, in the regtest, of how one would write: ...
7 years, 8 months ago (2011-09-20 05:22:16 UTC) #37
Bertrand Bordage
Hey! I'm currently writing a doc entry that explains how to use replacements. I have ...
7 years, 8 months ago (2011-09-20 10:18:41 UTC) #38
pkx166h
On 2011/09/20 10:18:41, Bertrand Bordage wrote: > Hey! > > I'm currently writing a doc ...
7 years, 8 months ago (2011-09-20 12:07:31 UTC) #39
Bertrand Bordage
On 2011/09/20 12:07:31, J_lowe wrote: > > Where do you think I should put it? ...
7 years, 8 months ago (2011-09-20 12:11:46 UTC) #40
Bertrand Bordage
New patch set including some documentation work.
7 years, 8 months ago (2011-09-20 16:26:22 UTC) #41
Trevor Daniels
A few comments following a quick look at the doc changes Trevor http://codereview.appspot.com/4553056/diff/103001/Documentation/notation/input.itely File Documentation/notation/input.itely ...
7 years, 8 months ago (2011-09-20 16:54:08 UTC) #42
Bertrand Bordage
Hmm, I don't understand one comment, but I agree with the others. Thanks, Bertrand http://codereview.appspot.com/4553056/diff/103001/Documentation/notation/input.itely ...
7 years, 8 months ago (2011-09-20 17:09:47 UTC) #43
Trevor Daniels
http://codereview.appspot.com/4553056/diff/103001/Documentation/notation/input.itely File Documentation/notation/input.itely (right): http://codereview.appspot.com/4553056/diff/103001/Documentation/notation/input.itely#newcode1636 Documentation/notation/input.itely:1636: @end lilypond On 2011/09/20 17:09:48, Bertrand Bordage wrote: > ...
7 years, 8 months ago (2011-09-20 21:14:45 UTC) #44
t.daniels_treda.co.uk
<bordage.bertrand@gmail.com> Tuesday, September 20, 2011 11:18 AM > Do you think I have to move ...
7 years, 8 months ago (2011-09-20 22:08:56 UTC) #45
Bertrand Bordage
http://codereview.appspot.com/4553056/diff/103001/Documentation/notation/input.itely File Documentation/notation/input.itely (right): http://codereview.appspot.com/4553056/diff/103001/Documentation/notation/input.itely#newcode1636 Documentation/notation/input.itely:1636: @end lilypond Yes, unfortunately, this isn't simple. I didn't ...
7 years, 8 months ago (2011-09-20 22:11:15 UTC) #46
Graham Percival (old account)
http://codereview.appspot.com/4553056/diff/103001/Documentation/notation/notation-appendices.itely File Documentation/notation/notation-appendices.itely (right): http://codereview.appspot.com/4553056/diff/103001/Documentation/notation/notation-appendices.itely#newcode909 Documentation/notation/notation-appendices.itely:909: @example blank line before @example and after @end example ...
7 years, 8 months ago (2011-09-20 22:37:37 UTC) #47
Bertrand Bordage
New patch set. I hope this is ready for to be pushed, now.
7 years, 8 months ago (2011-09-21 16:16:23 UTC) #48
Neil Puttock
http://codereview.appspot.com/4553056/diff/106003/Documentation/included/special-characters.ly File Documentation/included/special-characters.ly (right): http://codereview.appspot.com/4553056/diff/106003/Documentation/included/special-characters.ly#newcode1 Documentation/included/special-characters.ly:1: \version "2.15.12" 2.15.13 http://codereview.appspot.com/4553056/diff/106003/Documentation/included/special-characters.ly#newcode8 Documentation/included/special-characters.ly:8: #(define-markup-list-command (show-special-characters layout props) ...
7 years, 8 months ago (2011-09-21 21:10:09 UTC) #49
Bertrand Bordage
Thanks a lot, Neil. Could you have a last look at the Scheme files? I'm ...
7 years, 8 months ago (2011-09-21 22:13:12 UTC) #50
Bertrand Bordage
7 years, 7 months ago (2011-09-24 10:50:00 UTC) #51
Pushed as 688f5f1711d8ca07338385a2ae0191b1a8aae315.
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld f62528b